Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AbstractOptionalNameType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalNameType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NameInfoBaseType, NameInfoWithStatusAndSourceType, NameInfoWithUpdateStatusType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class AbstractOptionalNameType

extends Object
implements Serializable

Java class for AbstractOptionalNameType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalNameType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NameGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AbstractOptionalNameType()`

Method Summary
`List<GivenNameType>` | `getGivenNames()` Gets the value of the givenNames property.
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`String` | `getLastName()` Gets the value of the lastName property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setLastName(String value)` Sets the value of the lastName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOptionalNameType

    public AbstractOptionalNameType()

Method Detail

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getGivenNames

    public List<GivenNameType> getGivenNames()

  Gets the value of the givenNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the givenNames property.

  For example, to add a new item, do as follows:

          getGivenNames().add(newItem);

  Objects of the following type(s) are allowed in the list `GivenNameType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.